module contador(clk,contador,bool_f);
	input logic clk; // clock
	output logic[4:0] contador; // contador de output
	output logic bool_f; // booleano de output
	reg [4:0]i=0; // inicializador en 0
	assign contador=i; //asignamos el valor a contador
	assign bool_f= ((~contador[4])&(~contador[3])&(~contador[2]))| //A'B'C' + A'C'D'E' + A'CD'E + B'CD'E
		((~contador[4])&(~contador[2])&(~contador[1])&(~contador[0]))|
		((~contador[4])&(contador[2])&(~contador[1])&(contador[0]))|
		((~contador[3])&(contador[2])&(~contador[1])&(contador[0]));
	always_ff@(posedge clk) begin
		i <= i+1'b1; // sumamos 1 al contador
	end
endmodule
